# Package org.codehaus.plexus.component.factory

Interface Summary
Interface | Description
--- | ---
ComponentFactory | A `ServiceFactory` is responsible for instantiating a component.
ComponentFactoryManager |

Class Summary
Class | Description
--- | ---
AbstractComponentFactory |
DefaultComponentFactoryManager |

Exception Summary
Exception | Description
--- | ---
ComponentInstantiationException |
UndefinedComponentFactoryException |